PetaLinux 2015.2 - 在Ubuntu 14.04 / CentOS 6上安装失败,正在寻找openssl库

描述

尝试在Ubuntu 14.04或CentOS 6上安装Petalinux 2015.2时,会出现以下错误:

信息:检查安装程序校验和...
信息:提取PetaLinux安装程序...
信息:安装PetaLinux ...
信息:检查PetaLinux安装程序的完整性......
信息:提取安装文件......

许可协议

PetaLinux SDK包含来自多个来源的软件。请查阅
以下许可证并表明您接受每个许可证以继续。

您不必接受许可证,但如果您不接受许可证,则可以
不使用PetaLinux SDK。

使用PgUp / PgDn导航许可证查看器,然后按“q”关闭

按Enter显示许可协议
您是否接受Xilinx最终用户许可协议? [y / N]> y
你接受Webtalk条款和条件吗? [y / N]> y
您是否接受第三方最终用户许可协议? [y / N]> y
信息:检查安装环境要求......
信息:检查可用磁盘空间
信息:检查已安装的工具
信息:检查已安装的开发库
错误:您缺少PetaLinux所需的这些开发库:

- openssl

我已经检查过并且我的系统上安装了openssl软件包。

我该如何解决这个问题?

安装程序错误地识别丢失的包。

它没有找到openssl,而是找不到openssl-devel(或等效的)软件包。

安装下面标识的相关包。

这在PetaLinux 2015.2.1中得到了解决。

  • CentOS - openssl-devel
 yum install openssl-devel 
  • Ubuntu - libssl-dev
 sudo apt-get install libssl-dev 

编辑 重设标签(回车键确认) 标为违禁 关闭 合并 删除

提问于 2018-07-30 20:34:18 +0800

这个帖子被标记为一个社区wiki

这个帖子是一个wiki(维基). 任何一个积分 >500的人都可以完善它